package com.atlassian.bitbucket.mesh.grpc;

/**
 * Provides statistics about the gRPC server.
 */
public interface GrpcStatistics {

    /**
     * @return the number of <i>failed</i> requests
     */
    long getFailedRequests();

    /**
     * @return the number of requests that are currently running
     */
    long getRunningRequests();

    /**
     * @return the number of <i>successful</i> requests
     */
    long getSuccessfulRequests();

    /**
     * @return the total number of requests, includes running requests as well as failed and successful ones
     */
    long getTotalRequests();
}
